Chuyển đến nội dung
Diễn đàn CADViet
chutuocttm

Lisp vẽ mặt cắt cầu thang !

Các bài được khuyến nghị

Các bác có thể cho em xin 1 lisp vẽ mặt cắt cấu thang nhý sau ðýợc không ạ !

- Ðánh lệnh

- Pick ðiểm ðầu tiên

- Chọn hýớng vẽ thang

- Nhập chiều cao bậc thang

- Nhập bề rộng thang

- Nhập số bậc thang

- Ok

Em xin cảm õn trýớc ạ !rất mong ðýợc các bác giúp ðỡ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các bác có thể cho em xin 1 lisp vẽ mặt cắt cấu thang nhý sau ðýợc không ạ !

- Ðánh lệnh

- Pick ðiểm ðầu tiên

- Chọn hýớng vẽ thang

- Nhập chiều cao bậc thang

- Nhập bề rộng thang

- Nhập số bậc thang

- Ok

Em xin cảm õn trýớc ạ !rất mong ðýợc các bác giúp ðỡ !

Lệnh là VT (vẽ thang)

 

(defun c:vt( / p c r sb oldos)
 (setq
   p (getpoint "\nVao diem dau tien: ")
   c (getdist p "\nVao chieu cao bac: ")
   r (getdist p "\nVao chieu rong bac: ")
   sb (getint "\nVao so bac: ")
   oldos (getvar "osmode")
 )
 (setvar "osmode" 0)  
 (command ".pline")
 (command p)  
 (repeat sb
   (command (strcat "@0," (rtos c)))
   (command (strcat "@" (rtos r) ",0"))
 )
 (command "")
 (setvar "osmode" oldos)
 (princ)
)

  • Vote tăng 7

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
...

(repeat sb

(command (strcat "@0," (rtos c)))

(command (strcat "@" (rtos r) ",0"))

)

...

 

Fantastically! Thank you! :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em xin cảm õn các bác ạ ! Cadviet ðã giúp em rất nhiều !Em rất vui khi là 1 thành viên của cadviet !Cadviet là 1 kho tàng kiến thức của cad, và trong ðó thì các thành viên pro chính là nhân tố chính của kho tàng ðó !:)Mong ðýợc các bác giúp ðỡ nhiều hõn !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bác Nguyen Hoanh siêu thật, e mới vào đây mà tìm được nhiều cái hay quá, mong VN có nhiều người như bác thì VN sắp phát triển bằng Mỹ rồi các bác ạ

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào bạn!

Mình đọc những bài viết của bạn rất nhiều cái tiện ích cho việc vẽ Cad. Minh đang cần Lisp để vẽ những thang phức tạp trong 3D. Nhưng file minh download của bạn về Load nhưng không dùng được. Bạn có thể gửi cho minh xin dược không???? Địa chỉ mail của mình: dungtaeki2009@gmail.com

Cảm ơn bạn nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lệnh là VT (vẽ thang)

 

(defun c:vt( / p c r sb oldos)  (setq    p (getpoint "\nVao diem dau tien: ")    c (getdist p "\nVao chieu cao bac: ")    r (getdist p "\nVao chieu rong bac: ")    sb (getint "\nVao so bac: ")    oldos (getvar "osmode")  )  (setvar "osmode" 0)    (command ".pline")  (command p)    (repeat sb    (command (strcat "@0," (rtos c)))    (command (strcat "@" (rtos r) ",0"))  )  (command "")  (setvar "osmode" oldos)  (princ))

Bác Hoành nhà ta thật là tuyệt vời..... Thanks bác rất nhiều @@

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×